% We can load an image in matlab with the following commands

%We are loading a default image stored in matlab. Ordinarily we would have
%to provide the full path to the image, or if it was stored in our
%workspace, use ./filename
img_path = 'ngc6543a.jpg'; % specify the path of the image. 

% %Or we could select our own image using this code. Uncomment it and try 
% it for yourself on any image you have on your computer. 
% 
% [fname pathname] = uigetfile();
% img_path = fullfile(pathname,fname);

%reads the image
my_img = imread(img_path); 
% note we now have a 650x650x3 uint8 variable in our workspace. This is the
% image size [650x600] and rgb values

%We can also now show the image
figure
imshow(my_img);

%However, for M219 , we'll frequently be using a different image
%format: dicom (.dcm) and a different loading command

% Again are loading a default image stored in matlab. Ordinarily we would
% have to provide the full path to the image, or if it was stored in our
%workspace, use ./filename
image_info = dicominfo('CT-MONO2-16-ankle.dcm'); % gets the header info
my_dicom = dicomread(image_info);
figure, imshow(my_dicom,[]);

% we could alternatively use a method that auto-scales our data using a
% colormap of our choice as the second argument, or a default one if none
% is specified. 
figure, imagesc(my_dicom)

% We can perform an incredible variety of operations on the image that
% we've loaded in. The sky is the limit here, and the matlab help function
% and the mathworks website are your friends. Check out "basic_for_loops"
% to see a simple example. 




